﻿using Syncfusion.Windows.PdfViewer;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ExportAsImage
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        PdfViewerControl pdfviewer1 = new PdfViewerControl();
        BitmapEncoder encoder = null;
        string output = @"..\..\Output\Image-Jpeg";
        public MainWindow()
        {
            InitializeComponent();
            pdfviewer1.Load(@"../../Data/Barcode.pdf");
        }

        private void Export_SinglePage(object sender, RoutedEventArgs e)
        {
            //To export single page as image
            BitmapSource image = pdfviewer1.ExportAsImage(0);
            System.IO.Directory.CreateDirectory(@"..\..\Output\");
            if (image != null)
            {
                encoder = new PngBitmapEncoder();
                encoder.Frames.Add(BitmapFrame.Create(image));
                FileStream stream = new FileStream(output + Guid.NewGuid().ToString() + ".jpeg", FileMode.Create);
                encoder.Save(stream);
            }
            MessageBox.Show("PDF has been exported as image", "Image Exported");
        }

        private void Export_MultiplePages(object sender, RoutedEventArgs e)
        {
            //To export multiple pages as image
            BitmapSource[] images = pdfviewer1.ExportAsImage(0, 1);
            if (images != null)
            {
                foreach (BitmapSource img in images)
                {
                    encoder = new PngBitmapEncoder();
                    encoder.Frames.Add(BitmapFrame.Create(img));
                    FileStream stream = new FileStream(output + Guid.NewGuid().ToString() + ".jpeg", FileMode.Create);
                    encoder.Save(stream);
                }
            }
            MessageBox.Show("PDF has been exported as image", "Image Exported");
        }
    }
}
